﻿package  {
	
	import flash.display.MovieClip;
	import com.greensock.*;
	import com.greensock.easing.*;
	import com.greensock.plugins.*;
	import tv.snorkl.utils.bitmap.BitmapTileGrid;
	import tv.snorkl.utils.bitmap.BitmapTile;
	import flash.events.MouseEvent;
	
	
	
	
	public class BMTsitePreview extends MovieClip {
		public var grid1:BitmapTileGrid;
		public var tween1:TimelineLite;
		
		public var grid2:BitmapTileGrid;
		public var tween2:TimelineLite;
		
		public var grid3:BitmapTileGrid;
		public var tween3:TimelineLite;
		
		
		//note TimelineLites are being used to contain the allFrom() tweens.
		//allFrom creates an array of tweens, and you can't play() or pause() an allFrom() group of tweens directly.
		//view the TimelineLite Ultimate Starter Guide tutorials on ActiveTuts+ to learn more: http://bit.ly/t7yXS6
		
		//visit www.snorkl.tv every day.
		
		
		public function BMTsitePreview() {
			
			
			
			// **** SET UP GRID 1 *****
										
			grid1 = new BitmapTileGrid(image1_mc, 1, 20);
			grid1.x = image1_mc.x;
			grid1.y = image1_mc.y;
			addChild(grid1);
		
			
			image1_mc.visible = false;
				
			tween1 = new TimelineLite({paused:true}) 
			
			tween1.appendMultiple(TweenMax.allFrom(grid1.tilesArray, 1, {y:0, alpha:0, rotationX:-180, yoyo:true, repeat:2}, .02));
			
			tween1.currentProgress = 1;
			
			image1_btn.addEventListener(MouseEvent.CLICK, playTween1);
			
			
			
			// **** SET UP GRID 2 *****
										
			grid2 = new BitmapTileGrid(image2_mc, 5, 5);
			grid2.x = image2_mc.x;
			grid2.y = image2_mc.y;
			addChild(grid2);
		
			
			image2_mc.visible = false;
				
			tween2 = new TimelineLite({paused:true}) 
			
			tween2.appendMultiple(TweenMax.allFrom(grid2.tilesArray, .3, {alpha:0, scaleX:0, scaleY:0}, .02));
			
			tween2.currentProgress = 1;
			
			
			image2_btn.addEventListener(MouseEvent.CLICK, playTween2);
			
			
						// **** SET UP GRID 3 *****
										
			grid3 = new BitmapTileGrid(image3_mc, 25, 25);
			grid3.x = image3_mc.x;
			grid3.y = image3_mc.y;
			addChild(grid3);
		
			
			image3_mc.visible = false;
				
			tween3 = new TimelineLite({paused:true}) 
			
			var grid3TilesMax:int = grid3.tilesArray.length;
			
			
			
			
			for(var i:int = 0; i < grid3TilesMax; i++){
				var tile:BitmapTile = grid3.tilesArray[i] as BitmapTile;
				
				tile.alpha = 0;
				
				tween3.insert(TweenMax.to(tile, .8, {x:Math.random()* image3_mc.width, y:Math.random()* image3_mc.height, alpha:1, scaleX:1.5, scaleY:1.5, ease:Back.easeOut}));
				
				}
			
			var time:Number = tween3.duration
				
			for(var n:int = 0; n < grid3TilesMax; n++){
				var tile2:BitmapTile = grid3.tilesArray[n] as BitmapTile;
				
				trace("ss");
				
				tween3.insert(TweenMax.to(tile2, .5, {x:tile2.originX, y:tile2.originY, ease:Back.easeOut, scaleX:1, scaleY:1}), time);
				
				}	
			
			
			
			tween3.currentProgress = 1;
			
			image3_btn.addEventListener(MouseEvent.CLICK, playTween3);
			
			
			
			
			
			
			
			
		}
		
		
		private function playTween1(e:MouseEvent):void{
			tween1.restart();
			}
			
		private function playTween2(e:MouseEvent):void{
			tween2.restart();
			}	
			
		private function playTween3(e:MouseEvent):void{
			tween3.restart();
			}
			
		
		
		
	}
	
}
